import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function orderEnginbaseList(data) {
  return request({
    url: `/order/engin/base/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function orderEnginBaseListExport(data, name) {
  return postBlob({
    url: '/order/engin/base/list/export',
    data,
    name
  })
}

export function orderEnginBaseSave(data) {
  return request({
    url: '/order/engin/base/save',
    method: 'post',
    data: data
  })
}

export function orderEnginBaseDetail(params) {
  return request({
    url: '/order/engin/base/detail',
    method: 'post',
    params
  })
}